Bug 75168 - cadaver segfaults on LOCK and other operations
cadaver segfaults on LOCK and other operations
Product: Red Hat Linux
Classification: Retired
Component: cadaver (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2002-10-04 19:46 EDT by rmhristev
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-03 07:01:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rmhristev 2002-10-04 19:46:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
cadaver segfaults on lock, edit (uses lock) and possible other

ls, cd work 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.log with cadaver into a web_dav enabled apache
  (e.g. latest from RedHat 7.3)
2. try to lock a file


Actual Results:  Program segfaults.

Expected Results:  to lock a file

Additional info:

The cadaver version from RedHat 7.3 works as expected.
Comment 1 Joe Orton 2002-11-22 10:51:29 EST
Locking is greatly improved in cadaver-0.20.5 in RHL 8.0; try the newer version.
Comment 2 rmhristev 2002-11-22 13:07:22 EST
What newer version ?!?

I was talking specufically about 0.20.5-2 from RHL 8.0
Comment 3 Joe Orton 2002-11-22 16:49:53 EST
My apologies, I was distracted by your mention of 7.3 in the report and thought
this was filed against 7.3.

Can you provide an exact reproduction recipe for the crash? Locking seems to
work fine here. If you can run 'set debug http' in cadaver before the crash that
might help.
Comment 4 Joe Orton 2005-02-03 07:01:19 EST
Thanks for the report.  This is a mass bug update; since this release
of Red Hat Linux is no longer supported, please either:

a) try and reproduce the bug with a supported version of Red Hat
Enterprise Linux or Fedora Core, and re-open this bug as appropriate
after changing the Product field, or,

b) if relevant, try and reproduce this bug using the current version
of the upstream package, and report the bug upstream.

c) report the bug to the Fedora Legacy project who may wish to
continue maintenance of this package.

Note You need to log in before you can comment on or make changes to this bug.